Option Explicit

Dim objINS 
Dim strVersion
Dim nMajorVersion 
Dim nMinorVersion 
Dim nServicePackVersion 
Dim nBuildNumber 
Dim strInstallPath 

On Error Resume Next

Set objINS = CreateObject ("SolidEdge.InstallData")
If objINS is Nothing Then
        
        err.Clear 
        wscript.echo "Solid Edge Not Installed"
Else

        strVersion = objINS.GetVersion
        nMajorVersion = objINS.GetMajorVersion
        nMinorVersion = objINS.GetMinorVersion
        nServicePackVersion = objINS.GetServicePackVersion
        nBuildNumber = objINS.GetBuildNumber
        strInstallPath = objINS.GetInstalledPath
        msgbox "Solid Edge Version:" & vbtab & vbtab & strVersion & vbcrlf & _
                        "Solid Edge Install Path:" & vbtab & strInstallPath & vbcrlf & _
                        "Service Pack Version:" & vbtab & nServicePackVersion
End If

' Clean up
Set objINS = Nothing
Set strVersion = Nothing
Set nMajorVersion = Nothing
Set nMinorVersion = Nothing
Set nServicePackVersion = Nothing
Set nBuildNumber = Nothing
Set strInstallPath = Nothing